Lurgle.Dates 1.0.16

dotnet add package Lurgle.Dates --version 1.0.16
NuGet\Install-Package Lurgle.Dates -Version 1.0.16
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="Lurgle.Dates" Version="1.0.16" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Lurgle.Dates --version 1.0.16
#r "nuget: Lurgle.Dates, 1.0.16"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install Lurgle.Dates as a Cake Addin
#addin nuget:?package=Lurgle.Dates&version=1.0.16

// Install Lurgle.Dates as a Cake Tool
#tool nuget:?package=Lurgle.Dates&version=1.0.16

Lurgle.Dates

A library supporting a number of date usages across multiple apps.

You can use Lurgle.Dates by itself, or with Lurgle.Logging, Lurgle.Alerting and Lurgle.Transfer to Lurgle your apps even further!

Read the blog post for details on how to use.

Keep an eye on my Blog of Doom for updates about the latest releases!

Product Compatible and additional computed target framework versions.
.NET net5.0 is compatible.  net5.0-windows was computed.  net6.0 was computed.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net7.0 was computed.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
.NET Core netcoreapp2.0 was computed.  netcoreapp2.1 was computed.  netcoreapp2.2 was computed.  netcoreapp3.0 was computed.  netcoreapp3.1 is compatible. 
.NET Standard netstandard2.0 is compatible.  netstandard2.1 was computed. 
.NET Framework net461 is compatible.  net462 was computed.  net463 was computed.  net47 is compatible.  net471 was computed.  net472 was computed.  net48 is compatible.  net481 was computed. 
MonoAndroid monoandroid was computed. 
MonoMac monomac was computed. 
MonoTouch monotouch was computed. 
Tizen tizen40 was computed.  tizen60 was computed. 
Xamarin.iOS xamarinios was computed. 
Xamarin.Mac xamarinmac was computed. 
Xamarin.TVOS xamarintvos was computed. 
Xamarin.WatchOS xamarinwatchos was computed. 
Compatible target framework(s)
Additional computed target framework(s)
Learn more about Target Frameworks and .NET Standard.

NuGet packages (3)

Showing the top 3 NuGet packages that depend on Lurgle.Dates:

Package Downloads
Seq.App.EventTimeout

Super-powered monitoring of Seq events with start/end times, timeout and suppression intervals, matching multiple properties, day of week and day of month inclusion/exclusion, and optional holiday API!

Seq.App.EventSchedule

Super-powered Seq app to schedule logging an event at given times, with optional repeating log intervals, day of week and day of month inclusion/exclusion, and optional holiday API!

Seq.App.EventThreshold

Super-powered Seq event thresholds with start/end times, measuring and suppression intervals, property matching, day of week and day of month inclusion/exclusion, and optional holiday API!

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
1.0.16 577 7/4/2023
1.0.15 1,368 8/14/2022
1.0.14 1,906 2/1/2022
1.0.12 1,435 1/24/2022
1.0.11 1,391 10/1/2021
1.0.10 1,043 9/17/2021
1.0.9 332 9/17/2021
1.0.8 1,203 8/9/2021
1.0.7 1,658 8/4/2021
1.0.6 2,100 8/1/2021

- Update Flurl and Flurl.Http
     - Add multiple target frameworks
     - Add XML documentation file
     - Code cleanup
     - Fix GetDayType bug validating invalid day of month
     - Remove .NET Core 2.1 support due to deprecation
     - Update dependencies